org.acplt.oncrpc

## Class OncRpcCallMessage

- java.lang.Object
- - org.acplt.oncrpc.OncRpcMessage
  - - org.acplt.oncrpc.OncRpcCallMessage

Direct Known Subclasses:
  OncRpcClientCallMessage, OncRpcServerCallMessage

    public abstract class OncRpcCallMessage
    extends OncRpcMessage

The `OncRpcCallMessage` class represents a remote procedure call message as defined by ONC/RPC in RFC 1831. Such messages are sent by ONC/RPC clients to servers in order to request a remote procedure call.

Note that this is an abstract class. Because call message objects also need to deal with authentication protocol issues, they need help of so-called authentication protocol handling objects. These objects are of different classes, depending on where they are used (either within the server or the client).

Please also note that this class implements no encoding or decoding functionality: it doesn't need them. Only derived classes will be able to be encoded on the side of the client and decoded at the end of the server.

Version:
  $Revision: 1.2 $ $Date: 2003/08/14 07:55:07 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

### Field Summary

Fields
`static int` `ONCRPC_VERSION` Protocol version used by this ONC/RPC Java implementation.
`int` `oncRpcVersion` Protocol version used by this ONC/RPC call message.
`int` `procedure` Number (identifier) of remote procedure to call.
`int` `program` Program number of this particular remote procedure call message.
`int` `version` Program version number of this particular remote procedure call message.

### Fields inherited from class org.acplt.oncrpc.OncRpcMessage

`messageId, messageType`

### Constructor Summary

Constructors
Constructor and Description
`OncRpcCallMessage()` Constructs a new (incompletely initialized) ONC/RPC call message header.
`OncRpcCallMessage(int messageId, int program, int version, int procedure)` Constructs and initialises a new ONC/RPC call message header.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ONCRPC_VERSION

    public static final int ONCRPC_VERSION

Protocol version used by this ONC/RPC Java implementation. The protocol version 2 is defined in RFC 1831.

See Also:
  Constant Field Values

#### oncRpcVersion

    public int oncRpcVersion

Protocol version used by this ONC/RPC call message.

#### program

    public int program

Program number of this particular remote procedure call message.

#### version

    public int version

Program version number of this particular remote procedure call message.

#### procedure

    public int procedure

Number (identifier) of remote procedure to call.

### Constructor Detail

#### OncRpcCallMessage

    public OncRpcCallMessage(int messageId,
                     int program,
                     int version,
                     int procedure)

Constructs and initialises a new ONC/RPC call message header.

Parameters:
  `messageId` - An identifier choosen by an ONC/RPC client to uniquely identify matching call and reply messages.
  `program` - Program number of the remote procedure to call.
  `version` - Program version number of the remote procedure to call.
  `procedure` - Procedure number (identifier) of the procedure to call.

#### OncRpcCallMessage

    public OncRpcCallMessage()

Constructs a new (incompletely initialized) ONC/RPC call message header. The `messageType` is set to `OncRpcMessageType.ONCRPC_CALL` and the `oncRpcVersion` is set to `ONCRPC_VERSION`.